Bug Hunting Session
Bug 105256 - KMFL characters are not "swallowed" after completing the complex letter
Summary: KMFL characters are not "swallowed" after completing the complex letter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: high major
Assignee: Justin L
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-11 14:42 UTC by Justin L
Modified: 2017-05-18 16:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2017-01-11 14:42:20 UTC
We use KMFL (ibus) to type complex characters.  So, for example, the sequence "_;]" forms the letter "ɔ̱̈".   In LO 5.1, the three characters are "swallowed up" and replaced with the composed character.   In LO 5.3 (and backported to 5.2), the composing characters are left, followed by the composed character. See bug 85912 for more detail about this type of bug.

Using Linux daily debug bibisect and then compiling a revert, the regression was confirmed to be introduced by the fix for bug 100903:
author Takeshi Abe <tabe _at@fixedpoint.jp> 2016-07-18 21:08:36 (GMT)
commit 1c81af2c1814e8bd12701f85e09cebf5fe206647
Resolves: tdf#100903 Calc hangs when preediting Japanese with GTK plugin
Comment 1 Justin L 2017-01-11 14:45:23 UTC
CC'd Takeshi Abe and Caolán McNamara
Comment 2 Xisco Faulí 2017-01-11 15:56:14 UTC
Move it to NEW as the problematic commit has been identified
Comment 3 Commit Notification 2017-02-20 17:01:25 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c3a784d38fc5986c78bab8d283c4661347baf43

tdf#105256 gtk findfocus return only if focused

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-20 18:55:09 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6a48e66deef01aa82409aec0ab3c2a9201d467b&h=libreoffice-5-3

tdf#105256 gtk findfocus return only if focused

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-22 04:30:33 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb183f8a48f678aa4ece5b0058bec90d3d5082e4&h=libreoffice-5-2

tdf#105256 gtk findfocus return only if focused

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-22 08:57:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4712ae1365851d5d3d0695525a645eb5bcd55c2&h=libreoffice-5-2-6

tdf#105256 gtk findfocus return only if focused

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.